Subject: New field in JIRA form is not available hence getting error: JIRA Error Affects Version/s is required

Description: Hi,

We have a new field "Affects Version/s" as a requirement in our JIRA submit ticket form,  which is not 

populated in the on the JIRA plugin for Katyako from the Export to JIRA form.

This results in the following error:
Due to this, we can no longer submit tickets to JIRA from within Kayako.

Can you please advise on how to resolve this?



Thanks much!!

History

11/12/2013 05:34 am - Amarjeet Kaur

- Tracker changed from Bug to Feature

Hi Keran,



We have checked this issue. Our App currently does not support all fields of JIRA.



So, I am moving it from Bug to Feature. We will add support for this feature in next build.



Your understanding is much appreciated.



Thank you,

Amarjeet Kaur

02/05/2014 12:45 pm - Rignald Span

I also needed this functionality, because the field 'Affects Versions' is also required in our workflow. 



I have been so bold to adapt the source code and implement the functionality for the 'Affects Versions' field.



@Amarjeet: If you like I can share the code changes with you?

08/20/2015 08:50 am - Shiva THOMAS

See https://forge.kayako.com/issues/478 for the solution of dynamic mode.
